Bug 1418692 - Enable tests
Summary: Enable tests
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: rubygem-multi_test
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Jun Aruga
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-02-02 14:26 UTC by Jun Aruga
Modified: 2019-11-25 15:31 UTC (History)
3 users (show)

Fixed In Version: rubygem-multi_test-0.1.2-8.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-25 15:31:52 UTC
Type: Bug


Attachments (Terms of Use)
Patch to enable tests (1.90 KB, patch)
2017-02-02 14:26 UTC, Jun Aruga
no flags Details | Diff

Description Jun Aruga 2017-02-02 14:26:01 UTC
Created attachment 1247132 [details]
Patch to enable tests

Description of problem:

As right now rubygem-multi_test 0.1.2 (latest version) does not have tests,
I added tests.
Having the tests must be better than not having tests.

Version-Release number of selected component (if applicable):
rubygem-multi_test-0.1.2-1

I checked below things.
license check: ok
rpmlint: ok
install check: ok

Could you merge it?
Thanks.

Comment 1 Fedora End Of Life 2017-02-28 11:09:53 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Comment 2 Fedora End Of Life 2018-05-03 08:05:21 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 3 Vít Ondruch 2018-05-03 08:24:51 UTC
The patch has not been applied yet and the test suite is still not enabled.

Comment 4 Jun Aruga 2018-05-04 14:25:59 UTC
Note: I sent PR from PkgDB based on the patch uploaded in this page.
https://src.fedoraproject.org/rpms/rubygem-multi_test/pull-request/1

Comment 5 Jan Kurik 2018-08-14 10:20:29 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 29 development cycle.
Changing version to '29'.

Comment 6 Ben Cotton 2019-10-31 20:51:58 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Vít Ondruch 2019-11-01 12:59:42 UTC
This still not resolved.


Note You need to log in before you can comment on or make changes to this bug.